cURL
curl --request POST \
--url https://api.cekura.ai/test_framework/v1/metrics/generate_metrics/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": 123,
"assistant_id": "<string>",
"num_metrics": 1
}
'import requests
url = "https://api.cekura.ai/test_framework/v1/metrics/generate_metrics/"
payload = {
"agent_id": 123,
"assistant_id": "<string>",
"num_metrics": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_id: 123, assistant_id: '<string>', num_metrics: 1})
};
fetch('https://api.cekura.ai/test_framework/v1/metrics/generate_metrics/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"progress_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"field_name": [
"<string>"
]
}Metrics
Generate Metrics
Generate metrics for an AI agent. Returns a progress_id that should be polled via the generate_metrics_progress endpoint.
POST
/
test_framework
/
v1
/
metrics
/
generate_metrics
/
cURL
This endpoint returns a
progress_id — it does not create metrics directly.Full workflow:- Call this endpoint to start metric generation → receive a
progress_id - Poll Generate Metrics Progress with the
progress_iduntilstatusis"completed" - Take the
metricsarray from the progress response and pass it to Create Metrics in Bulk to save them
Authorizations
oauth2supabase_sessionembedded_sessionapi_key
OAuth access token issued by Cekura for connected apps.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
The ID of the AI agent to generate metrics for. Either agent_id or assistant_id must be provided.
The assistant ID to generate metrics for. Either agent_id or assistant_id must be provided.
Number of metrics to generate
Required range:
1 <= x <= 100Response
UUID to poll the generate_metrics_progress endpoint for status and results
⌘I